#pragma once

#ifdef __cplusplus
extern "C" {
#endif

  typedef unsigned char pixel_t;
  
  typedef struct image
  {
    pixel_t *data;
    unsigned int w,h;
  } image_t;
  
  image_t image_new(unsigned int const w,
		    unsigned int const h);
  
  image_t image_from_file(char const * const filename);
  void image_free(image_t const im);
  void image_to_file(image_t const im, 
		     char const * const filename);
  
  unsigned int image_coord_wrapped(image_t const image,
				   int const line,
				   int const col);
  
  unsigned char xy2color(double a, double b, int prof);
#ifdef __cplusplus
}
#endif
